Bug 850143 - Introduce new systemd-rpm macros in haproxy spec file
Introduce new systemd-rpm macros in haproxy spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: haproxy (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:40 EDT by Lukáš Nykrýn
Modified: 2012-10-15 23:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: haproxy-1.4.22-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 23:48:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (1.32 KB, patch)
2012-09-17 10:09 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:40:42 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-09-17 10:09:31 EDT
Created attachment 613669 [details]
Patch replaces scriptlets with new systemd macros
Comment 2 Robin Lee 2012-10-11 07:03:42 EDT
Can I help maintaining this package? It seems a bit inactive and has a CVE to work on.

I work with HAProxy as part of my day-time job. I should be able to maintain the package in good shape and quick response.

Commit privilege requested on https://admin.fedoraproject.org/pkgdb/acls/name/haproxy
Comment 3 Jeremy Hinegardner 2012-10-11 20:58:50 EDT
Robin, That would be great. I work less with HAProxy today than I did when I brought it into fedora/epel. You are now a committer. Consider yourself the primary maintainer now.
Comment 4 Fedora Update System 2012-10-12 05:32:42 EDT
haproxy-1.4.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/haproxy-1.4.22-1.fc18
Comment 5 Fedora Update System 2012-10-15 23:44:34 EDT
haproxy-1.4.22-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.